> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List plates

GET https://{tenant_name}.benchling.com/api/v2/plates

List plates

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/plates/list-plates

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are barcode, name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `barcode`, `barcode:asc`, `barcode:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`, `createdAt`, `createdAt:asc`, `createdAt:desc`
- `schemaId` (string, optional) — ID of a schema. Restricts results to those of the specified schema.
- `schemaFields` (map from string to any, optional) — Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and \<= operators (but not \< or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
- `createdAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of a plate. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of a plate. Restricts results to those with names that include the provided substring.
- `emptyPositions` (integer, optional) — Only return plates that have the specified number of empty positions
- `emptyPositions.gte` (integer, optional) — Only return plates that have greater-than or equal-to the specified number of empty positions.
- `emptyPositions.gt` (integer, optional) — Only return plates that have greater-than the specified number of empty positions.
- `emptyPositions.lte` (integer, optional) — Only return plates that have less-than or equal-to the specified number of empty positions.
- `emptyPositions.lt` (integer, optional) — Only return plates that have less-than the specified number of empty positions.
- `emptyContainers` (integer, optional) — Only return plates that have the specified number of empty containers (containers without contents).
- `emptyContainers.gte` (integer, optional) — Only return plates that have greater-than or equal-to the specified number of empty containers (containers without contents).
- `emptyContainers.gt` (integer, optional) — Only return plates that have greater-than the specified number of empty containers (containers without contents).
- `emptyContainers.lte` (integer, optional) — Only return plates that have less-than or equal-to the specified number of empty containers (containers without contents).
- `emptyContainers.lt` (integer, optional) — Only return plates that have less-than the specified number of empty containers (containers without contents).
- `ancestorStorageId` (string, optional) — ID of a location. Restricts results to those located in the specified inventory.
- `storageContentsId` (string, optional) — ID of a entity, or entity schema. Restricts results to those that hold containers with entities.
- `storageContentsIds` (string, optional) — Comma-separated list of IDs of entities. Restricts results to those that hold containers with at least one of the specified entities.
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived plates. Use "ANY_ARCHIVED" to filter for archived plates regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `barcodes` (string, optional) — Comma-separated list of barcodes. Matches all of the provided barcodes, or returns a 400 error that includes a list of which barcodes are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).
- `creatorIds` (string, optional) — Comma separated list of users IDs

## Response

### 200

OK

- `nextToken` (string, optional)
- `plates` (list of Plate, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Plate

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `availableCapacity` (integer, optional, nullable) — The number of available positions in a matrix plate. Null for well plates.
- `barcode` (string, optional, nullable) — Barcode of the plate
- `createdAt` (datetime, optional) — DateTime the container was created
- `creator` (UserSummary, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional) — ID of the plate
- `modifiedAt` (datetime, optional) — DateTime the plate was last modified
- `name` (string, optional) — Name of the plate, defaults to barcode if name is not provided.
- `occupiedCapacity` (integer, optional, nullable) — The number of containers currently in a matrix plate. Null for well plates.
- `parentStorageId` (string, optional, nullable) — ID of containing parent inventory (e.g. loc_k2lNspzS).
- `projectId` (string, optional, nullable) — ID of the project if set
- `schema` (SchemaSummary, optional, nullable)
- `totalCapacity` (integer, optional, nullable) — The total capacity of a matrix plate (i.e. how many containers it can store). Null for well plates.
- `type` (enum, optional)
  - Allowed values: `matrix_plate`, `well_plate`
- `webURL` (string, optional)
- `wells` (map from string to WellOrInaccessibleResource, optional) — Well contents of the plate, keyed by position string (eg. "A1").

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### WellOrInaccessibleResource

- `resourceType`: `container` (container)
  - `archiveRecord` (ArchiveRecord, optional, nullable)
  - `barcode` (string, optional) — Barcode of the well
  - `checkoutRecord` (CheckoutRecord, optional) — *assignee field* is set if status is "RESERVED" or "CHECKED_OUT", or null if status is "AVAILABLE". *comment field* is set when container was last reserved, checked out, or checked into. *modifiedAt field* is the date and time when container was last checked out, checked in, or reserved
  - `contents` (list of ContainerContent, optional) — Array of well contents, each with an entity and concentration
  - `createdAt` (datetime, optional) — DateTime the well was created
  - `creator` (UserSummary, optional)
  - `fields` (map from string to Field, optional)
  - `id` (string, optional) — ID of the well
  - `modifiedAt` (datetime, optional) — DateTime the well was last modified
  - `name` (string, optional) — Name of the well, defaults to barcode if name is not provided.
  - `parentStorageId` (string, optional, nullable) — ID of containing parent inventory, a plate well with a coordinate (e.g. plt_2bAks9dx:a2).
  - `parentStorageSchema` (SchemaSummary, optional)
  - `projectId` (string, optional, nullable) — ID of the project if set
  - `quantity` (ContainerQuantity, optional) — Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.
  - `restrictedSampleParties` (list of WellOrInaccessibleResourceDiscriminatorMappingContainerRestrictedSamplePartiesItems, optional) — Not applicable for well plate wells.
  - `restrictionStatus` (enum, optional) — Not applicable for well plate wells.
    - Allowed values: `RESTRICTED`, `UNRESTRICTED`, `NOT_APPLICABLE`
  - `role` (ExperimentalWellRole, optional, nullable) — Not applicable for matrix plate wells.
  - `sampleOwners` (list of WellOrInaccessibleResourceDiscriminatorMappingContainerSampleOwnersItems, optional) — Not applicable for well plate wells.
  - `schema` (SchemaSummary, optional, nullable)
  - `volume` (DeprecatedContainerVolumeForResponse, optional) — The deprecated "volume" type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the "quantity" type key instead.
  - `webURL` (string, optional)
- `resourceType`: `inaccessible_resource` (inaccessible_resource)
  - `inaccessibleId` (string, optional)
  - `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### CheckoutRecord

*assignee field* is set if status is "RESERVED" or "CHECKED_OUT", or null if status is "AVAILABLE". *comment field* is set when container was last reserved, checked out, or checked into. *modifiedAt field* is the date and time when container was last checked out, checked in, or reserved

- `assignee` (CheckoutRecordAssignee, optional, nullable)
- `comment` (string, optional)
- `modifiedAt` (datetime, optional)
- `status` (enum, optional)
  - Allowed values: `AVAILABLE`, `RESERVED`, `CHECKED_OUT`

### ContainerContent

- `batch` (BatchOrInaccessibleResource, optional, nullable)
- `concentration` (Measurement, optional)
- `entity` (EntityOrInaccessibleResource, optional, nullable)

### ContainerQuantity

Quantity of a container, well, or transfer. Supports mass, volume, and other quantities.

- `units` (enum, optional, nullable)
  - Allowed values: `L`, `mL`, `uL`, `nL`, `pL`, `gal (US)`, `qt (US)`, `pt (US)`, `kg`, `g`, `mg`, `ug`, `ng`, `pg`, `lb`, `oz`, `mol`, `mmol`, `umol`, `nmol`, `pmol`, `cells`, `(x10^3) cells`, `(x10^4) cells`, `(x10^5) cells`, `(x10^6) cells`, `(x10^7) cells`, `(x10^8) cells`, `(x10^9) cells`, `items`, `units`
- `value` (double, optional, nullable)

### WellOrInaccessibleResourceDiscriminatorMappingContainerRestrictedSamplePartiesItems

### ExperimentalWellRole

- `group` (integer, optional)
- `primaryRole` (enum, optional)
  - Allowed values: `SAMPLE`, `CONTROL`, `STANDARD`, `BLANK`
- `subrole` (string, optional, nullable)

### WellOrInaccessibleResourceDiscriminatorMappingContainerSampleOwnersItems

### DeprecatedContainerVolumeForResponse

The deprecated "volume" type key in API responses can also contain non-volume quantities for back-compatibility purposes. Use the "quantity" type key instead.

- `units` (enum, optional, nullable)
  - Allowed values: `L`, `mL`, `uL`, `nL`, `pL`, `gal (US)`, `qt (US)`, `pt (US)`, `kg`, `g`, `mg`, `ug`, `ng`, `pg`, `lb`, `oz`, `mol`, `mmol`, `umol`, `nmol`, `pmol`, `cells`, `(x10^3) cells`, `(x10^4) cells`, `(x10^5) cells`, `(x10^6) cells`, `(x10^7) cells`, `(x10^8) cells`, `(x10^9) cells`, `items`, `units`
- `value` (double, optional, nullable)

### CheckoutRecordAssignee

### BatchOrInaccessibleResource

### Measurement

- `units` (string, required, nullable) — Can only be null if value is also null
- `value` (double, required, nullable) — Can only be null if units is also null

### EntityOrInaccessibleResource

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

### Batch

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional)
- `defaultConcentration` (Measurement, optional)
- `entity` (BatchEntity, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `schema` (SchemaSummary, optional, nullable)
- `webURL` (string, optional)

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

### BatchEntity

- `entityType`: `aa_sequence` (aa_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `custom_entity` (custom_entity)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `dna_sequence` (dna_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "plates": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "availableCapacity": 1,
      "barcode": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "fields": {},
      "id": "string",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "occupiedCapacity": 1,
      "parentStorageId": "string",
      "projectId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "totalCapacity": 1,
      "type": "matrix_plate",
      "webURL": "string",
      "wells": {}
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/plates"

querystring = {"archiveReason":"NOT_ARCHIVED","createdAt":"> 2022-03-01 AND < 2022-04-01","modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/plates?archiveReason=NOT_ARCHIVED&createdAt=%3E+2022-03-01+AND+%3C+2022-04-01&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```